WP Auto update failure

I went to accept the auto-update on WordPress to 2.7.1 and got this ”
Fatal error: Cannot redeclare class pclzip in /home/churbuck/public_html/wordpress/wp-admin/includes/class-pclzip.php on line 171″ — wondering if it’s me or if it’s the distro …

update: I turned off the auto-update plug in and the patch was accepted.

Author: David Churbuck

Cape Codder with an itch to write

7 thoughts on “WP Auto update failure”

  1. Thee are lots of reports on their forum.

    1. Make sure the auto-update plugin is turned off – you don’t need it anymore.
    2. File permissions need to be 664 – older installs appear to have 644 set by default. Make sure your wp-content/uploads folder is writable by all as well.
    3. There are some issues reported using Firefox to upgrade – probably due to an unidentifed plugin.

    My bet is that your problem is #2. Which is the problem I had…

    Like

  2. I had the old plugin for auto-update and got the error. I deactivated it and the new built in update ran flawlessly. Only difference is that the backup of database and whatnot’s isn’t built into the new version. The less I have to manually do the better so I hope they fix this in the future.

    Like

Leave a Reply

Please log in using one of these methods to post your comment:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s